## Class TDisplayStyle

Description

TDisplayStyle defines the enumerable type for the possible styles that a web control can display.

The following enumerable values are defined:

- None: the control is not displayed and not included in the layout.
- Dynamic: the control is displayed and included in the layout, the layout flow is dependent on the control (equivalent to display:'' in css).
- Fixed: Similar to Dynamic with CSS "visibility" set "shown".
- Hidden: the control is not displayed and is included in the layout.

- since: 3.1
- version: $Id: TStyle.php 1653 2007-01-25 05:49:22Z wei $
- author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Located in /Web/UI/WebControls/TStyle.php (line 425)

    TEnumerable
       |
       --TDisplayStyle

Class Constant Summary
Dynamic = 'Dynamic'
Fixed = 'Fixed'
Hidden = 'Hidden'
None = 'None'
Class Constants
Dynamic = 'Dynamic' (line 428)
Fixed = 'Fixed' (line 429)
Hidden = 'Hidden' (line 430)
None = 'None' (line 427)

Documentation generated on Mon, 21 Apr 2008 11:36:21 -0400 by phpDocumentor 1.3.0RC4